Bug 1003471 - Manual pages generated from POD have almost all Unicode characters mangled to X
Manual pages generated from POD have almost all Unicode characters mangled to X
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: perl-podlators (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
https://rt.cpan.org/Public/Bug/Displa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 02:59 EDT by Petr Pisar
Modified: 2016-07-19 06:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:20:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 68741 None None None Never
CPAN 73804 None None None Never

  None (edit)
Description Petr Pisar 2013-09-02 02:59:39 EDT
$ cat test 
=encoding utf8

=head1 Kroužkovci

Žížala

=cut
$ pod2man test |tail
.\"
.IX Title "TEST 1"
.TH TEST 1 "2013-09-02" "perl v5.18.1" "User Contributed Perl Documentation"
.\" For nroff, turn off justification.  Always turn off hyphenation; it makes
.\" way too many mistakes in technical documents.
.if n .ad l
.nh
.SH "KrouXkovci"
.IX Header "KrouXkovci"
Xi\*'Xala

This is caused by upstream decision to have pod2man output compatible with all ROFFs. That means to pass ASCII charachtes, escape ISO-8859-1 characters, and to replace others with plain `X' (<https://rt.cpan.org/Public/Bug/Display.html?id=68741>).

There is pod2man option --utf8 which disables any escaping and outputs UTF-8, but this is not default behaviour. This makes all manual pages from built packages to be mangled. See Debian bug report <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=480997>.

Question is what to do. Should we be faster than upstream and make UTF-8 output default? Should defaults you locale encoding? (Fedora packages are built in C locale.)
Comment 1 Jaroslav Reznik 2015-03-03 10:02:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora End Of Life 2016-07-19 06:20:38 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.